#!/bin/bash

#----------------------------------------------------------------------------
. /usr/local/bin/backupcommon || {
    echo 1>&2 "Can not load common settings!"
    exit 1
}
#----------------------------------------------------------------------------

# Prevent mythshutdown from shutting down the system in the middle...
/usr/bin/mythshutdown --lock

echo "Starting rollback of old backups"
backup_roller '' .1 .2 .3 .4 .5 .6 .7 .8 .9 .10 .11 .12 .13 .14 .15 .16 .17 .18 .19
echo "Rollback completed."

# Unlock the system again...
/usr/bin/mythshutdown --unlock
